import 'package:flutter/material.dart';

class KeyValue<T> {
  final String key;
  final T value;
  const KeyValue({required this.key, required this.value});
}

class DropdownItem<T> {
  T? value;
  Widget? child;
  String? name;
  bool disabled;
  bool isDivider;

  DropdownItem({this.value, this.child, this.name, this.disabled = false, this.isDivider = false});
}
