import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

extension MyContext on BuildContext {
  double get screenWidth => MediaQuery.of(this).size.width;
  double get screenHeight => MediaQuery.of(this).size.height;
  double get screenTopPadding => MediaQuery.of(this).padding.top;
  double get screenBottomPadding => MediaQuery.of(this).padding.bottom;
  double get screenLeftPadding => MediaQuery.of(this).padding.left;
  double get screenRightPadding => MediaQuery.of(this).padding.right;
}
