import 'package:get/utils.dart';

extension MyDouble on double {
  double decimalCrop(int length) => toPrecision(length);

  double limit(double min, double max) {
    if (this > max) return max;
    if (this < min) return min;
    return this;
  }

  double maxLimit(double max) {
    if (this > max) return max;
    return this;
  }

  double minLimit(double min) {
    if (this < min) return min;
    return this;
  }
}
