import 'package:get/get.dart';
import 'app_controller.dart';

extension GetString on String? {
  String get translate => Get.find<AppController>().localizedValues[this!] ?? this!;
  String argTranslate(List args) {
    final value = Get.find<AppController>().localizedValues[this!];
    if (value == null) return this!;
    final splittedText = value.split('-*-');
    var text = '';
    for (var i = 0; i < splittedText.length; i++) {
      if (i < args.length) {
        text += splittedText[i] + args[i].toString();
      } else {
        text += splittedText[i];
      }
    }
    return text;
  }
}
