import 'package:flutter/material.dart';

class McgExtensionLang {
  McgExtensionLang._();
  static const Map<String, Map<String, String>> _values = {
    'en': {
      'linkerr': 'Link cannot be opened',
      'numbererr': 'Number is incorrect',
      'mailerr': 'Mail is incorrect',
      'dataerr': 'Information is incorrect',
      'savesuc': 'Saved successfully ',
      'saveerr': 'Save denied',
      'yes': 'Yes',
      'back': 'Back',
      'save': 'Save',
      'cancel': 'Cancel',
      'sure': 'Are you sure?',
      'deletesuc': 'Deletion successful',
      'deleteerr': 'Deletion failed',
      'fillrequired': 'Please check and read the disclaimers',
      'required': 'This information is required',
      'noGap': 'Cannot contain space',
      'firebaseSafe': 'Do not use special characters',
      'mustNumber': 'Entered value shall be an number',
      'mustIntNumber': 'Must be an integer',
      'mustPhoneNumber': 'Do not use characters other than numbers',
      'mustEmailAddress': 'Enter a valid email address',
      'minLength': 'Must be at least -*- characters',
      'maxLength': 'Must be a maximum of -*- characters',
      'minNumberErr': 'You must enter a value of -*- or greater.',
      'maxNumberErr': 'You must enter a value of -*- or less.',
      'minLengthList': 'You must make at least -*- choices',
      'maxLengthList': 'You can make a maximum of -*- choices.',
      'nothingfoundtosave': 'Nothing found to save',
    },
    'tr': {
      'linkerr': 'Bu link açılamıyor',
      'numbererr': 'Numara hatalı',
      'mailerr': 'Mail adresi hatalı',
      'dataerr': 'Bilgiler hatalı',
      'savesuc': 'Kayıt başarılı',
      'saveerr': 'Kayıt reddedildi',
      'yes': 'Evet',
      'back': 'Geri',
      'save': 'Kaydet',
      'cancel': 'Vazgeç',
      'sure': 'Emin misiniz?',
      'deletesuc': 'Silme işlemi başarılı',
      'deleteerr': 'Silme işlemi yapılamadı',
      'fillrequired': 'Uyarılan alanları kontrol edin',
      'required': 'Bu bilgi gerekli',
      'noGap': 'Boşluk içermemeli',
      'firebaseSafe': 'Özel karakter kullanmayınız',
      'mustNumber': 'Girilen değer sayı olmalı',
      'mustIntNumber': 'Tam sayı olmak zorunda',
      'mustPhoneNumber': 'Telefon numarası harici karakter kullanmayınız',
      'mustEmailAddress': 'Geçerli bir mail adresi girin',
      'minLength': 'En az -*- karakter olmalı',
      'maxLength': 'En fazla -*- karakter olmalı',
      'minNumberErr': '-*- veya daha büyük bir değer girmelisiniz',
      'maxNumberErr': '-*- veya daha küçük bir değer girmelisiniz',
      'minLengthList': 'En az -*- seçim yapmalısınız',
      'maxLengthList': 'En fazla -*- seçim yapabilirsiniz',
      'nothingfoundtosave': 'Kaydedilecek hiçbir şey bulunamadı',
    },
    'az': {
      'linkerr': 'Bu link açılaa bilmir',
      'numbererr': 'Nömrə yanlışdır',
      'mailerr': 'Mail ünvanı yanlışdır',
      'dataerr': 'Məlumatlar yanlışdır',
      'savesuc': 'Qeydiyyat uğurlu oldu',
      'saveerr': 'Qeydiyyat imtina olundu',
      'yes': 'Bəli',
      'back': 'Xeyr',
      'save': 'Yadda saxla',
      'cancel': 'İmtina',
      'sure': 'Əminsiniz?',
      'deletesuc': 'Müvəffəqiyyətlə silindi',
      'deleteerr': 'Silinə bilmədi',
      'fillrequired': 'Xəbərdarlıq edilən yerləri yoxlayın',
      'required': 'Bu məlumat lazımdır',
      'noGap': 'Boşluq olmamalıdır',
      'firebaseSafe': 'Xüsusi simvollardan istifadə etməyin',
      'mustNumber': 'Yalnız rəqəm daxil edilməlidir',
      'mustIntNumber': 'Tam ədəd olmalıdır',
      'mustPhoneNumber': 'Telefon nömrəsindən başqa simvol daxil etməyin',
      'mustEmailAddress': 'Düzgün email daxil edin',
      'minLength': 'Ən az -*- simvol daxil edilməlidir',
      'maxLength': 'Ən çox -*- simvol daxil edilməlidir',
      'minNumberErr': '-*- və ya daha böyük dəyər daxil edilməlidir',
      'maxNumberErr': '-*- və ya daha kiçik bir dəyər daxil edilməlidir',
      'minLengthList': 'Ən az -*- seçim etməlisiniz',
      'maxLengthList': 'Ən çox -*- seçim edə bilərsiniz',
      'nothingfoundtosave': 'Xilas edəcək heç nə tapılmadı',
    },
    'ru': {
      'linkerr': 'Эта ссылка не может быть открыта',
      'numbererr': 'Неверный номер',
      'mailerr': 'Неверный адрес электронной почты',
      'dataerr': 'Информация неверна',
      'savesuc': 'Регистрация прошла успешно',
      'saveerr': 'Отказ регистрации',
      'yes': 'Да',
      'back': 'Назад',
      'save': 'Сохранить',
      'cancel': 'Отменить',
      'sure': 'Вы уверены?',
      'deletesuc': 'Удаление выполнено успешно',
      'deleteerr': 'Не удалось удалить',
      'fillrequired': 'Заполнить необходимые области',
      'required': 'Эта информация необходима',
      'noGap': 'Не должно содержать пробелов',
      'firebaseSafe': 'Не используйте специальные символы',
      'mustNumber': 'Введенное значение должно быть числом',
      'mustIntNumber': 'Должно быть целым числом',
      'mustPhoneNumber': 'Не используйте символы, кроме телефонных номеров',
      'mustEmailAddress': 'Введите корректный электронный адрес',
      'minLength': 'Минимальное количество символов - * - ',
      'maxLength': 'Максимальное количество символов - * - ',
      'minNumberErr': 'Вы должны ввести - * - или большее значение',
      'maxNumberErr': 'Вы должны ввести - * - или меньшее значение',
      'minLengthList': 'Вы должны выбрать минимум - * -',
      'maxLengthList': 'Вы должны выбрать максимум - * -',
      'nothingfoundtosave': 'Ничего не найдено для сохранения',
    },
  };

  static Map<String, String> init(Locale locale) {
    if (locale.languageCode.toLowerCase().contains('tr')) {
      return _values['tr']!;
    } else if (locale.languageCode.toLowerCase().contains('az')) {
      return _values['az']!;
    } else if (locale.languageCode.toLowerCase().contains('ru')) {
      return _values['ru']!;
    } else {
      return _values['en']!;
    }
  }
}
