library mcg_extension;

export 'package:collection/collection.dart';
// export 'package:font_awesome_flutter/font_awesome_flutter.dart';
export 'package:get/get.dart';
export 'package:tuple/tuple.dart';

//export 'package:iconsax/iconsax.dart';

export 'classes.dart';
export 'constants.dart';
export 'crypt/crypt.dart';
export 'design/mypalette.dart';
export 'design/mytheme.dart';
export 'devicemanager.dart';
export 'enums.dart';
export 'extensions/colorextension.dart';
export 'extensions/contextextension.dart';
export 'extensions/datetimeextension.dart';
export 'extensions/doubleextension.dart';
export 'extensions/fileextension.dart';
export 'extensions/formstate_extension.dart';
export 'extensions/futureextension.dart';
export 'extensions/getextensions.dart';
export 'extensions/intextension.dart';
export 'extensions/listextension.dart';
export 'extensions/mapextension.dart';
export 'extensions/numextension.dart';
export 'extensions/object_extension.dart';
export 'extensions/paddingextension.dart';
export 'extensions/stringextension.dart';
export 'extensions/widgetextension.dart';
export 'functions/basicfunctions.dart';
export 'functions/functions.dart';
export 'get/alert.dart';
export 'get/app_controller.dart';
export 'get/base_controller.dart';
export 'get/fav.dart';
export 'get/quick_menu.dart';
export 'get/sheet.dart';
export 'get/translate.dart';
export 'helper.dart';
export 'hive/hive.dart';
export 'jparser/jparser.dart';
export 'localization.dart';
export 'logger.dart';
export 'mcgwidget/iconwidgetextension.dart';
export 'mcgwidget/textwidgetextension.dart';
export 'meta.dart';
export 'permissionmanager/permissionmanagershared.dart';
export 'validators/validatorrules.dart';
export 'widgets/restarter.dart';
export 'widgets/widget_size.dart';
