import 'package:flutter/material.dart';
import 'package:mcg_extension/mcg_extension.dart';

extension FormstateExtension on FormState {
  bool check([bool warning = true]) {
    final _validate = validate();
    if (warning && _validate != true) {
      Alert.fillRequired();
    }

    return _validate;
  }

  bool checkAndSave([bool warning = true]) {
    final _validate = validate();
    if (warning && _validate != true) {
      Alert.fillRequired();
    }

    if (_validate) {
      save();
    }

    return _validate;
  }
}
