import 'dart:convert';
import 'dart:math';
import 'dart:typed_data';

extension MyListExtension<T> on List<T>? {
  T? randomOne() => this == null ? null : this![Random().nextInt(this!.length)];

//  T safeGet<T>(int i) => length <= i ? null : (this[i] as T);
}

extension MyListIntExtension on List<int>? {
  // int? get max {
  //   if (this == null || this!.isEmpty) return null;
  //   return this!.fold<int>(this!.first, (p, e) => e > p ? e : p);
  // }

  // int? get min {
  //   if (this == null || this!.isEmpty) return null;
  //   return this!.fold<int>(this!.first, (p, e) => e < p ? e : p);
  // }

//Collection icinde var
  // int get sum {
  //   var value = 0;
  //   for (var i = 0; i < this!.length; i++) {
  //     value += this![i];
  //   }
  //   return value;
  // }

  // double get average => this == null || this!.isEmpty ? 0 : this!.sum / this!.length;
}

extension MyListDoubleExtension on List<double>? {
  //Collection icinde var
  // double get sum {
  //   var value = 0.0;
  //   for (var i = 0; i < this!.length; i++) {
  //     value += this![i];
  //   }
  //   return value;
  // }

  // double get average => this == null || this!.isEmpty ? 0 : this!.sum / this!.length;

  // double? get max {
  //   if (this == null || this!.isEmpty) return null;
  //   return this!.fold<double>(this!.first, (p, e) => e > p ? e : p);
  // }

  // double? get min {
  //   if (this == null || this!.isEmpty) return null;
  //   return this!.fold<double>(this!.first, (p, e) => e < p ? e : p);
  // }
}

extension MyUint8ListExtension on Uint8List {
  ///lletter bay letter  once harflere bolup sonra text yapip birlestirir tugce kelimesinde hata cikabilir
  ///
  String convertText({bool allowInvalidCharacter = true, bool letterByLetter = false}) {
    if (letterByLetter == false) return utf8.decode(this, allowMalformed: allowInvalidCharacter);
    return map((e) => utf8.decode(Uint8List.fromList([e]), allowMalformed: allowInvalidCharacter)).toList().join();
    // return fold<String>('', (p, e) => p + utf8.decode(Uint8List.fromList([e]), allowMalformed: allowInvalidCharacter));
  }

//Buda stringe ceviriyor utf olayi farkli sanirim
  String convertAdvanceText() => String.fromCharCodes(Uint8List.fromList(this));
}
