import 'package:flutter/foundation.dart';
import 'package:intl/intl.dart';
import 'package:simple_logger/simple_logger.dart';
import 'devicemanager.dart';

///https://www.lihaoyi.com/post/BuildyourownCommandLinewithANSIescapecodes.html#256-colors
final _logger = SimpleLogger()
  ..setLevel(kReleaseMode ? Level.OFF : Level.ALL, includeCallerInfo: !kReleaseMode)
  ..formatter = (info) => kReleaseMode
      ? 'RELEASEMODPRINTBANNED'
      : isIOS
          ? '*******************start************************\n'
              '${info.message}'
              ' ${info.callerFrame?.library}:${info.callerFrame?.line} ${DateFormat("HH:mm:ss:SSS").format(info.time)} \n'
              '******************end*************************'
          : '\u001b[38;5;${243}m*******************start************************\n'
              '\u001b[38;5;${10}m\u001b[1m${info.message}\n'
              ' \u001b[38;5;${243}m${info.callerFrame?.library}:${info.callerFrame?.line} \u001b[38;5;${243}m${DateFormat("HH:mm:ss:SSS").format(info.time)}\x1B[0m\n'
              '\u001b[38;5;${243}m******************end*************************\x1B[0m';
//final p = _logger;
final log = _logger.info;
