import 'package:flutter/widgets.dart';

class Restarter extends StatefulWidget {
  final Widget child;

  Restarter({Key? key, required this.child}) : super(key: key);

  @override
  _RestarterState createState() => _RestarterState();

  static void restart(BuildContext context) {
    context.findAncestorStateOfType<_RestarterState>()!.restartApp();
  }
}

class _RestarterState extends State<Restarter> {
  Key _key = UniqueKey();

  void restartApp() {
    setState(() {
      _key = UniqueKey();
    });
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      key: _key,
      child: widget.child,
    );
  }
}
